
Infrastructure - Task #4684

Story # 3892 (Closed): Need a content viewing / rendering service

Add proposed MNRead view service to the Architecture Docs

2014-04-04 21:53 - Chris Jones

Status: Closed Start date: 2014-04-04

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

We need to update the Architecture Documents to add the View Service API calls.  This has been prototyped in Metacat (see 

https://projects.ecoinformatics.org/ecoinfo/issues/5948), but the API needs to be formalized and reviewed.  The summarized service

in #3918 is:

GET /views

[MNRead|CNRead].listViews() -> Types.ViewList

Displays a list of usable formats (themes) for rendering science metadata content,

and marks the default format. [Note: While this may be eventually a useful API call,

it is so far not prototyped, see https://projects.ecoinformatics.org/ecoinfo/issues/6029.

The returned ViewList type is undefined at the moment.]

GET /views/{format}/{pid}

[MNRead|CNRead].getView(pid, format) -> Types.OctetStream

Renders the science metadata document using the given named format string.

If the format string is not recognized, renders the science metadata using the default format.

Note that the return type of Types.OctetStream requires that the consuming client has a priori

knowledge of the format being returned (like HTML).

History

#1 - 2014-04-04 21:53 - Chris Jones

- Description updated

#2 - 2014-05-11 21:01 - Matthew Jones

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Created documentation of MNView service, committed in r13784.

#3 - 2014-09-24 18:27 - Dave Vieglais

- Target version changed from 2014.14-Block.2.3 to CCI-2.0.0
